PropertyMapping (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.persister.entity
Interface PropertyMapping

All Known Subinterfaces:
  Queryable, QueryableCollection, SQLLoadableCollection

All Known Implementing Classes:
  AbstractCollectionPersister, AbstractEntityPersister, AbstractPropertyMapping, BasicCollectionPersister, BasicEntityPropertyMapping, CollectionPropertyMapping, CompositeElementPropertyMapping, ElementPropertyMapping, JoinedSubclassEntityPersister, OneToManyPersister, SingleTableEntityPersister, UnionSubclassEntityPersister

    public interface PropertyMapping

Abstraction of all mappings that define properties: entities, collection elements.

Method Summary
`Type` | `getType()` Get the type of the thing containing the properties
`String[]` | `toColumns(String propertyName)` Given a property path, return the corresponding column name(s).
`String[]` | `toColumns(String alias, String propertyName)` Given a query alias and a property path, return the qualified column name
`Type` | `toType(String propertyName)` Given a component path expression, get the type of the property

Method Detail

### toType

    Type toType(String propertyName)
                throws QueryException

  Given a component path expression, get the type of the property

  Throws:
    `QueryException`

### toColumns

    String[] toColumns(String alias,
                       String propertyName)
                       throws QueryException

  Given a query alias and a property path, return the qualified column name

  Throws:
    `QueryException`

### toColumns

    String[] toColumns(String propertyName)
                       throws QueryException,
                              UnsupportedOperationException

  Given a property path, return the corresponding column name(s).

  Throws:
    `QueryException`
    `UnsupportedOperationException`

### getType

    Type getType()

  Get the type of the thing containing the properties

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.